require 'thor'

class FloodCli
  module Cli
    class Console < Thor
      desc 'login', 'Login to Flood IO'
      option :verbose, default: false
      def login
        say('Enter your Flood IO credentials.', :yellow)
        email = ask('Email: ')
        password = ask('Password: ', echo: false)
        puts
        config = ask('Config: ', default: "#{Dir.home}/.fio")
        endpoint = ask('Endpoint: ', default: 'https://api.flood.io')
        proxy = ask('HTTP Proxy: ')

        cli = FloodCli.new(endpoint: endpoint, proxy: proxy, config: config, verbose: options[:verbose])
        cli.login(email: email, password: password)
      end

      desc 'floods', 'Manage Floods'
      subcommand 'floods', Floods

      desc 'grids', 'Manage Grids'
      subcommand 'grids', Grids
    end
  end
end
